--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: delegate IRC messages, by delegating 'listen' first, and the actual method afterwards. Delegating 'privmsg' also delegates ctcp_listen and message as appropriate.
full_name: Irc::Bot::Plugins::PluginManagerClass#irc_delegate
is_singleton: false
name: irc_delegate
params: (method, m)
visibility: public
